# 2. Представлен список чисел. Необходимо вывести элементы исходного списка, значения которых больше предыдущего элемента.
# Подсказка: элементы, удовлетворяющие условию, оформить в виде списка. Для формирования списка использовать генератор.
# Пример исходного списка: [300, 2, 12, 44, 1, 1, 4, 10, 7, 1, 78, 123, 55].
# Результат: [12, 44, 4, 10, 78, 123].

from random import randint

#создаем рандомный список от 0 до 300. пишут, что кто-то давно порешал использовать _ вместо i в коде для таких созданий
new_list = [randint(0, 300) for _ in range(20)]
print(new_list)

edited_list = [el for i, el in enumerate(new_list) if (el > new_list[new_list.index(el)-1])]

print(edited_list)